caption: Channel downgrade behavior
default: 1
desc: |-
  This policy specifies channel downgrade behavior on enrolled devices. With channel downgrade we mean switching to a more stable channel, e.g. beta to stable.

        The value of this policy affects user-initiated channel downgrades as well as admin initiated channel downgrades.

        On a channel downgrade, the device can either roll back its version and reset or wait for its current (or a higher) version to become available on the channel and receive no update until then.

        If an enrolled user initiates a channel downgrade, they can decide to reset or wait, or the choice is made for them depending on this policy's value. If an admin initiates a channel downgrade via setting <ph name="CHROME_OS_RELEASE_CHANNEL_POLICY_NAME">ChromeOsReleaseChannel</ph>, the device is rolled back on the next update check only if rollback was selected. Otherwise, the device will wait for the target channel to catch up with its current version.

        If unset or invalid, the behavior is the same as for "Wait for target channel to catch up on channel downgrade".
device_only: true
example_value: 1
features:
  dynamic_refresh: true
future_on:
- chrome_os
items:
- caption: Wait for the target channel to catch up on channel downgrade
  name: WaitForVersionCatchUp
  value: 1
- caption: Roll back and reset the device on channel downgrade, try to preserve enrollment
  name: Rollback
  value: 2
- caption: User decides on channel downgrade behavior
  name: AllowUserToConfigure
  value: 3
owners:
- mpolzer@google.com
schema:
  enum:
  - 1
  - 2
  - 3
  type: integer
tags: []
type: int-enum
